package com.yonge.cooleshow.common.enums;

/**
 * Description
 *
 * @author liujunchi
 * @date 2023-03-20
 */
public enum EGroupDefinedDataType {

    /**
     * 主讲人状态
     */
    ANCHOR_STATUS("主讲人状态"), // "ONLINE":"OFFLINE"

    /**
     * 全局禁言
     */
    GLOBAL_BAN("全局禁言"), // 开启禁言"ON" 关闭禁言 "OFF"

    /**
     * 点赞数
     */
    LIKES("点赞数"), // 点赞数

    /**
     * 在线人数
     */
    MEMBER_ONLINE("在线人数"), // 在线人数


    /**
     * 累计观看人数
     */
    MEMBER_TOTAL("累计观看人数"), // 累计观看人数

    /**
     * 当前房间推流状态
     */
    LIVE_STATUS("当前房间推流状态"), //开播 "ON" 暂停直播 "OFF"

    /**
     * 主播摄像头状态
     */
    ANCHOR_CAMERA("主播摄像头状态"), // 开启摄像头 "ON" 关闭摄像头 "OFF"

    /**
     * 主播全员闭麦状态
     */
    ANCHOR_MIC("主播全员闭麦状态"), // 开启 "ON" 关闭 "OFF"

    /**
     * 禁止连麦
     */
    BAN_LINK_MIC("禁止连麦"), // 开启 "ON" 关闭 "OFF"



    /**
     * 修改字段
     */
    UPDATE_INFO("修改信息"), //
    ;
    private String code;

    private String msg;

    EGroupDefinedDataType(String msg) {
        this.msg = msg;
        this.code = this.name();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
